from matplotlib.figure import Figure
from matplotlib.backends.backend_svg import FigureCanvasSVG

def get_series():
    yield [2.5, 1.5, 0.5], [1.1, 2.1, 3.1], dict(color='b', hatch='|')
    yield [2.6, 1.6, 0.6], [1.2, 2.2, 3.2], dict(color='r', hatch='|')
    
def do_chart(file):
    fig = Figure(facecolor='#FFFFFF')
    canvas = FigureCanvasSVG(fig)
    ax = fig.add_subplot(1, 1, 1)
    for xs, ys, attributes in get_series():
        ax.barh(xs, ys, 0.1, **attributes)
    canvas.print_figure(from_file)
    
def make_emf(from_file, to_file):
    import subprocess
    #http://inkscape.org/download
    command = r'"C:\Program Files\Inkscape\inkscape.com" "%s" --export-emf="%s"' % (from_file, to_file)
    print(subprocess.call(command))

if __name__ == '__main__':
    from_file = r"C:\temp\prob.svg"
    do_chart(from_file)
    to_file = from_file.replace(".svg", ".emf")
    make_emf(from_file, to_file)